#include <bits/stdc++.h>

using namespace std;

#define ll long long
#define ld long double
#define pb push_back
#define all(x) x.begin(), x.end()
#define sz(x) (int)x.size()
#define int long long

vector<vector<int>> g, g1;
vector<int> order, used, b, ob;
int timer = 1, col = 1;

void topsort(int v) {
    used[v] = timer;
    for (int i: g[v]) {
        if (used[i] < timer) {
            topsort(i);
        }
    }
    order.pb(v);
}

void dfs(int v) {
    b[v] = col;
    for (int i: g1[v]) {
        if (!b[i]) {
            dfs(i);
        }
    }
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n, m, t;
    cin >> n >> m >> t;
    cout << m - n + 1 << " " << 1;
    return 0;
}
